Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\FieldType\RichText\RendererInterface Interface Reference

RichText field type renderer interface, to be implemented in MVC layer. More...

Inheritance diagram for eZ\Publish\Core\FieldType\RichText\RendererInterface:

## Public Member Functions
| renderTag ($name, array $parameters, $isInline)
| Renders template tag. More...
| renderTemplate ($name, $type, array $parameters, $isInline)
| Renders template. More...
| renderContentEmbed ($contentId, $viewType, array $parameters, $isInline)
| Renders Content embed. More...
| renderLocationEmbed ($locationId, $viewType, array $parameters, $isInline)
| Renders Location embed. More...

## Detailed Description

RichText field type renderer interface, to be implemented in MVC layer.

Deprecated:
  since 7.4, use \EzSystems\EzPlatformRichText\eZ\RichText\RendererInterface from EzPlatformRichTextBundle.

Definition at line 14 of file RendererInterface.php.

## Member Function Documentation

## ◆ renderContentEmbed()

eZ\Publish\Core\FieldType\RichText\RendererInterface::renderContentEmbed | ( |  | $contentId,
|  |  | $viewType,
|  | array | $parameters,
|  |  | $isInline
| ) |  |

Renders Content embed.

Parameters

  int | string | $contentId |
  string | $viewType |
  array | $parameters |
  bool | $isInline |

Returns
  string

## ◆ renderLocationEmbed()

eZ\Publish\Core\FieldType\RichText\RendererInterface::renderLocationEmbed | ( |  | $locationId,
|  |  | $viewType,
|  | array | $parameters,
|  |  | $isInline
| ) |  |

Renders Location embed.

Parameters

  int | string | $locationId |
  string | $viewType |
  array | $parameters |
  bool | $isInline |

Returns
  string

Implemented in eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer.

## ◆ renderTag()

eZ\Publish\Core\FieldType\RichText\RendererInterface::renderTag | ( |  | $name,
|  | array | $parameters,
|  |  | $isInline
| ) |  |

Renders template tag.

Deprecated:
  since 7.3. Use renderTemplate instead

Parameters

  string | $name |
  array | $parameters |
  bool | $isInline |

Returns
  string

Implemented in eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer.

## ◆ renderTemplate()

eZ\Publish\Core\FieldType\RichText\RendererInterface::renderTemplate | ( |  | $name,
|  |  | $type,
|  | array | $parameters,
|  |  | $isInline
| ) |  |

Renders template.

Parameters

  string | $name |
  string | $type |
  array | $parameters |
  bool | $isInline |

Returns
  string

Implemented in eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer.

The documentation for this interface was generated from the following file:

- RendererInterface.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.